=== debian/changelog ===
qsampler (0.9.6-1) unstable; urgency=medium

  * New upstream version 0.9.6
  * Update d/copyright year of the appdata file

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 16 Apr 2022 22:43:07 +0200
