=== debian/changelog ===
qsampler (0.9.8-1) unstable; urgency=medium

  * New upstream version 0.9.8
  * Change my email address
  * Bump Standards-Version to 4.6.2

 -- Dennis Braun <snd@debian.org>  Wed, 28 Dec 2022 21:40:52 +0100

qsampler (0.9.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Dennis Braun ]
  * New upstream version 0.9.7
  * Build with Qt6
  * Bump Standards Version to 4.6.1

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 07 Oct 2022 14:44:29 +0200
