=== debian/control ===
Source: qsampler
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Dennis Braun <snd@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libgig-dev,
 liblscp-dev,
 libqt6svg6-dev,
 libtool,
 libx11-dev,
 pkg-config,
 qt6-base-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/multimedia-team/qsampler.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qsampler
Homepage: https://qsampler.sourceforge.io/
Rules-Requires-Root: no

Package: qsampler
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: linuxsampler
Description: LinuxSampler GUI frontend based on the Qt toolkit
 QSampler is a LinuxSampler GUI front-end application written in C++ around
 the Qt3 toolkit using Qt Designer. At the moment it just wraps as a client
 reference interface for the LinuxSampler Control Protocol (LSCP).
