=== debian/watch ===
version=4
https://sf.net/qsampler/qsampler-([\d.]+)\.tar\.gz
