=== debian/changelog ===
qsampler (0.9.11-1) unstable; urgency=medium

  * New upstream version 0.9.11

 -- Dennis Braun <snd@debian.org>  Mon, 18 Sep 2023 19:56:07 +0200

qsampler (0.9.10-1) unstable; urgency=medium

  * New upstream version 0.9.10
  * d/copyright: Bump years and change my email address

 -- Dennis Braun <snd@debian.org>  Mon, 19 Jun 2023 20:23:32 +0200
