=== debian/changelog ===
qsampler (0.9.90-1) unstable; urgency=medium

  * New upstream version 0.9.90
  * Change B-D from pkg-config to pkgconf

 -- Dennis Braun <snd@debian.org>  Fri, 19 Apr 2024 17:42:42 +0200
