=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qsampler
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
@@ -15,7 +14,7 @@
  libqt6svg6-dev,
  libtool,
  libx11-dev,
- pkg-config,
+ pkgconf,
  qt6-base-dev,
  qt6-tools-dev,
  qt6-tools-dev-tools
