## qsampler 1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 set (PROJECT_TITLE "${PROJECT_NAME}")
 string (TOLOWER "${PROJECT_TITLE}" PROJECT_NAME)
 
-set (PROJECT_COPYRIGHT  "Copyright (C) 2004-2024, rncbc aka Rui Nuno Capela. All rights reserved.")
+set (PROJECT_COPYRIGHT  "Copyright (C) 2004-2025, rncbc aka Rui Nuno Capela. All rights reserved.")
 set (PROJECT_COPYRIGHT2 "Copyright (C) 2007-2019, Christian Schoenebeck")
 set (PROJECT_DOMAIN     "linuxsampler.org")
 
@@ -22,8 +22,6 @@
 if (GIT_DESCRIBE_RESULT EQUAL 0)
   set (GIT_VERSION "${GIT_DESCRIBE_OUTPUT}")
   string (REGEX REPLACE "^[^0-9]+" "" GIT_VERSION "${GIT_VERSION}")
-  string (REGEX REPLACE "^1_"      "" GIT_VERSION "${GIT_VERSION}")
-  string (REGEX REPLACE "^[_vV]+"  "" GIT_VERSION "${GIT_VERSION}")
   string (REGEX REPLACE "-g"   "git." GIT_VERSION "${GIT_VERSION}")
   string (REGEX REPLACE "[_|-]"   "." GIT_VERSION "${GIT_VERSION}")
   execute_process (
@@ -130,81 +128,48 @@
 include (FindPkgConfig)
 
 # Check for LSCP libraries.
-pkg_check_modules (LSCP REQUIRED IMPORTED_TARGET lscp)
+pkg_check_modules (LSCP REQUIRED IMPORTED_TARGET lscp>=1.0.0)
 if (LSCP_FOUND)
   find_library(LSCP_LIBRARY NAMES ${LSCP_LIBRARIES} HINTS ${LSCP_LIBDIR})
 endif ()
 if (LSCP_LIBRARY)
   set (CONFIG_LIBLSCP 1)
+  set (CONFIG_INSTRUMENT_NAME 1)
+  set (CONFIG_AUDIO_ROUTING 1)
+  set (CONFIG_EVENT_CHANNEL_MIDI 1)
+  set (CONFIG_EVENT_DEVICE_MIDI 1)
   set (CMAKE_REQUIRED_LIBRARIES "${LSCP_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
-  # Check for for instrument_name in lscp_channel_info_t.
-  check_include_file (lscp/client.h HAVE_LSCP_CLIENT_H)
-  if (NOT HAVE_LSCP_CLIENT_H)
-    set (CONFIG_INSTRUMENT_NAME 0)
-  else ()
-    set (CONFIG_INSTRUMENT_NAME 1)    
-  endif ()
-  # Check for mute/solo in lscp_channel_info_t.
-  if (NOT HAVE_LSCP_CLIENT_H)
-    set (CONFIG_MUTE_SOLO 0)
-  else ()
-    set (CONFIG_MUTE_SOLO 1)    
-  endif ()
-  if (CONFIG_MUTE_SOLO)
-    check_function_exists (lscp_set_channel_mute CONFIG_MUTE_SOLO)
-  endif ()
-  if (CONFIG_MUTE_SOLO)
-    check_function_exists (lscp_set_channel_solo CONFIG_MUTE_SOLO)
-  endif ()
+  # Check if MUE/SOLO functions are available.
+  check_function_exists (lscp_set_channel_mute CONFIG_MUTE_SOLO)
+  check_function_exists (lscp_set_channel_solo CONFIG_MUTE_SOLO)
   # Check if MIDI instrument mapping is available.
   check_function_exists (lscp_map_midi_instrument CONFIG_MIDI_INSTRUMENT)
   # Check if FX sends is available.
   check_function_exists (lscp_create_fxsend CONFIG_FXSEND)
-  # Check for FX send level in lscp_fxsend_info_t
-  if (CONFIG_FXSEND)
-    if (NOT HAVE_LSCP_CLIENT_H)
-      set (CONFIG_FXSEND_LEVEL 0)
-    else ()
-      set (CONFIG_FXSEND_LEVEL 1)    
-    endif ()
-  endif ()
-  # Check if FX send rename is available.
   if (CONFIG_FXSEND)
     check_function_exists (lscp_set_fxsend_name CONFIG_FXSEND_RENAME)
-  endif ()
-  # Check for audio_routing array type
-  if (NOT HAVE_LSCP_CLIENT_H)
-    set (CONFIG_AUDIO_ROUTING 0)
-  else ()
-    set (CONFIG_AUDIO_ROUTING 1)    
+    set (CONFIG_FXSEND_LEVEL 1)    
+  else ()
+    set (CONFIG_FXSEND_LEVEL 0)    
   endif ()
   # Check if global volume is available.
   check_function_exists (lscp_set_volume CONFIG_VOLUME)
   # Check if instrument editing is available.
   check_function_exists (lscp_edit_channel_instrument CONFIG_EDIT_INSTRUMENT)
-  # Check for CHANNEL_MIDI LSCP event support in liblscp],
-  check_include_file (lscp/event.h HAVE_LSCP_EVENT_H)
-  if (NOT HAVE_LSCP_EVENT_H)
-    set (CONFIG_EVENT_CHANNEL_MIDI 0)
-  else ()
-    set (CONFIG_EVENT_CHANNEL_MIDI 1)    
-  endif ()
-  # Check for DEVICE_MIDI LSCP event support in liblscp],
-  if (NOT HAVE_LSCP_EVENT_H)
-    set (CONFIG_EVENT_DEVICE_MIDI 0)
-  else ()
-    set (CONFIG_EVENT_DEVICE_MIDI 1)    
-  endif ()
   # Check if max. voices / streams is available.
   check_function_exists (lscp_get_voices CONFIG_MAX_VOICES)
 else ()
   message (FATAL_ERROR "*** LSCP library not found.")
   set (CONFIG_LIBLSCP 0)
+  set (CONFIG_INSTRUMENT_NAME 0)
+  set (CONFIG_AUDIO_ROUTING 0)
+  set (CONFIG_EVENT_CHANNEL_MIDI 0)    
+  set (CONFIG_EVENT_DEVICE_MIDI 0)    
 endif ()
 
 # Check for GIG libraries.
 if (CONFIG_LIBGIG)
-  pkg_check_modules (GIG IMPORTED_TARGET gig>=3.3.0)
+  pkg_check_modules (GIG IMPORTED_TARGET gig>=4.0.0)
   if (GIG_FOUND)
     find_library(GIG_LIBRARY NAMES ${GIG_LIBRARIES} HINTS ${GIG_LIBDIR})
   endif ()
@@ -213,22 +178,24 @@
    #set (CMAKE_REQUIRED_LIBRARIES "${GIG_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
     # liggig supports fast information retrieval.
     set (CONFIG_LIBGIG_SETAUTOLOAD 1)
-    # Check if libgig/SF.h is available.
-    check_include_file_cxx (libgig/SF.h HAVE_LIBGIG_SF_H)
-    if (NOT HAVE_LIBGIG_SF_H)
-      set (CONFIG_LIBGIG_SF2 0)
-    else ()
-      set (CONFIG_LIBGIG_SF2 1)    
-    endif ()
+    # libgig also suppoert SF2 .
+    set (CONFIG_LIBGIG_SF2 1)    
   else ()
     message (WARNING "*** GIG library not found.")
     set (CONFIG_LIBGIG 0)
+    set (CONFIG_LIBGIG_SETAUTOLOAD 0)
+    set (CONFIG_LIBGIG_SF2 0)    
   endif ()
 endif ()
 
 
 add_subdirectory (src)
 
+
+# Finally check whether Qt is statically linked.
+if (QT_FEATURE_static)
+  set(QT_VERSION "${QT_VERSION}-static")
+endif ()
 
 # Configuration status
 macro (SHOW_OPTION text value)
