=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  qt6-base-dev,
  qt6-tools-dev,
  qt6-tools-dev-tools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/qsampler.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qsampler
 Homepage: https://qsampler.sourceforge.io/
